
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CFOSAT-based swells forecast &#8212; My sample book</title>
    
  <link href="_static/css/theme.css" rel="stylesheet" />
  <link href="_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/sphinx-book-theme.acff12b8f9c144ce68a297486a2fa670.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="_static/togglebutton.css" />
    <link rel="stylesheet" type="text/css" href="_static/copybutton.css" />
    <link rel="stylesheet" type="text/css" href="_static/mystnb.css" />
    <link rel="stylesheet" type="text/css" href="_static/sphinx-thebe.css" />
    <link rel="stylesheet" type="text/css" href="_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" />
    <link rel="stylesheet" type="text/css" href="_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" />
    
  <link rel="preload" as="script" href="_static/js/index.1c5a1a01449ed65a7b51.js">

    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/togglebutton.js"></script>
    <script src="_static/clipboard.min.js"></script>
    <script src="_static/copybutton.js"></script>
    <script >var togglebuttonSelector = '.toggle, .admonition.dropdown, .tag_hide_input div.cell_input, .tag_hide-input div.cell_input, .tag_hide_output div.cell_output, .tag_hide-output div.cell_output, .tag_hide_cell.cell, .tag_hide-cell.cell';</script>
    <script src="_static/sphinx-book-theme.12a9622fbb08dcb3a2a40b2c02b83a57.js"></script>
    <script async="async" src="https://unpkg.com/thebelab@latest/lib/index.js"></script>
    <script >
        const thebe_selector = ".thebe"
        const thebe_selector_input = "pre"
        const thebe_selector_output = ".output"
    </script>
    <script async="async" src="_static/sphinx-thebe.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="Wrap" href="SF7_CFOSAT_ForecastBins.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<div class="col-12 col-md-3 bd-sidebar site-navigation show" id="site-navigation">
    
        <div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="index.html">
      
      <img src="_static/logo.png" class="logo" alt="logo">
      
      
      <h1 class="site-logo" id="site-title">My sample book</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search this book..." aria-label="Search this book..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
    <div class="bd-toc-item active">
        <ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="intro.html">
   Welcome to your Jupyter Book
  </a>
 </li>
</ul>
<ul class="current nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="SF1_SpatialTemporal_Selection.html">
   Selection of CFOSAT passes over the ESTELA area
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="SF2_Passes_Viewer.html">
   Visualization of Satellite passes
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="SF3_ModelSat_animation.html">
   Animation Satellite Model
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="SF4_Partitions_ModelCFOSAT.html">
   Comparison between WW3 model and CFOSAT partitions
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="SF5_Skt_SpectralProcessing.html">
   Mean wave parameres derived from the 2D wave spectra
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="SF6_SwellField_Reconstruction.html">
   Swell Field reconstruction
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="SF7_CFOSAT_ForecastBins.html">
   Wrap
  </a>
 </li>
 <li class="toctree-l1 current active">
  <a class="current reference internal" href="#">
   CFOSAT-based swells forecast
  </a>
 </li>
</ul>

    </div>
</nav> <!-- To handle the deprecated key -->

<div class="navbar_extra_footer">
  Powered by <a href="https://jupyterbook.org">Jupyter Book</a>
</div>

</div>


          


          
<main class="col py-md-3 pl-md-4 bd-content overflow-auto" role="main">
    
    <div class="topbar container-xl fixed-top">
    <div class="topbar-contents row">
        <div class="col-12 col-md-3 bd-topbar-whitespace site-navigation show"></div>
        <div class="col pl-md-4 topbar-main">
            
            <button id="navbar-toggler" class="navbar-toggler ml-0" type="button" data-toggle="collapse"
                data-toggle="tooltip" data-placement="bottom" data-target=".site-navigation" aria-controls="navbar-menu"
                aria-expanded="true" aria-label="Toggle navigation" aria-controls="site-navigation"
                title="Toggle navigation" data-toggle="tooltip" data-placement="left">
                <i class="fas fa-bars"></i>
                <i class="fas fa-arrow-left"></i>
                <i class="fas fa-arrow-up"></i>
            </button>
            
            
<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn" aria-label="Download this page"><i
            class="fas fa-download"></i></button>

    <div class="dropdown-buttons">
        <!-- ipynb file if we had a myst markdown file -->
        
        <!-- Download raw file -->
        <a class="dropdown-buttons" href="_sources/SF8_Superspectra_Validation.ipynb"><button type="button"
                class="btn btn-secondary topbarbtn" title="Download source file" data-toggle="tooltip"
                data-placement="left">.ipynb</button></a>
        <!-- Download PDF via print -->
        <button type="button" id="download-print" class="btn btn-secondary topbarbtn" title="Print to PDF"
            onClick="window.print()" data-toggle="tooltip" data-placement="left">.pdf</button>
    </div>
</div>

            <!-- Source interaction buttons -->

<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn"
        aria-label="Connect with source repository"><i class="fab fa-github"></i></button>
    <div class="dropdown-buttons sourcebuttons">
        <a class="repository-button"
            href="https://gitlab.com/AlbaRicondo/cfosat-forecast"><button type="button" class="btn btn-secondary topbarbtn"
                data-toggle="tooltip" data-placement="left" title="Source repository"><i
                    class="fab fa-github"></i>repository</button></a>
        <a class="issues-button"
            href="https://gitlab.com/AlbaRicondo/cfosat-forecast/issues/new?title=Issue%20on%20page%20%2FSF8_Superspectra_Validation.html&body=Your%20issue%20content%20here."><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Open an issue"><i class="fas fa-lightbulb"></i>open issue</button></a>
        
    </div>
</div>

            <!-- Full screen (wrap in <a> to have style consistency -->

<a class="full-screen-button"><button type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip"
        data-placement="bottom" onclick="toggleFullScreen()" aria-label="Fullscreen mode"
        title="Fullscreen mode"><i
            class="fas fa-expand"></i></button></a>

            <!-- Launch buttons -->

        </div>

        <!-- Table of contents -->
        <div class="d-none d-md-block col-md-2 bd-toc show">
            
            <div class="tocsection onthispage pt-5 pb-3">
                <i class="fas fa-list"></i> Contents
            </div>
            <nav id="bd-toc-nav">
                <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#notebook-6-ww3-superspectra-satellite-forecast-validation">
   Notebook 6. WW3 Superspectra Satellite forecast validation
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#satellite-model-spectral-comparison">
   Satellite-Model Spectral Comparison
  </a>
 </li>
</ul>

            </nav>
        </div>
    </div>
</div>
    <div id="main-content" class="row">
        <div class="col-12 col-md-9 pl-md-3 pr-md-0">
        
              <div>
                
  <div class="section" id="cfosat-based-swells-forecast">
<h1>CFOSAT-based swells forecast<a class="headerlink" href="#cfosat-based-swells-forecast" title="Permalink to this headline">¶</a></h1>
<div class="section" id="notebook-6-ww3-superspectra-satellite-forecast-validation">
<h2>Notebook 6. WW3 Superspectra Satellite forecast validation<a class="headerlink" href="#notebook-6-ww3-superspectra-satellite-forecast-validation" title="Permalink to this headline">¶</a></h2>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">sys</span>
<span class="kn">import</span> <span class="nn">os</span>
<span class="kn">import</span> <span class="nn">os.path</span> <span class="k">as</span> <span class="nn">op</span>
<span class="kn">import</span> <span class="nn">glob</span>

<span class="kn">import</span> <span class="nn">numpy</span> <span class="k">as</span> <span class="nn">np</span>
<span class="kn">import</span> <span class="nn">pandas</span> <span class="k">as</span> <span class="nn">pd</span>
<span class="kn">import</span> <span class="nn">datetime</span>
<span class="kn">import</span> <span class="nn">netCDF4</span> <span class="k">as</span> <span class="nn">netcdf</span>
<span class="kn">from</span> <span class="nn">math</span> <span class="kn">import</span> <span class="n">pi</span>
<span class="kn">import</span> <span class="nn">xarray</span> <span class="k">as</span> <span class="nn">xr</span>

<span class="c1"># dev library</span>
<span class="kn">import</span> <span class="nn">sys</span>
<span class="n">sys</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">insert</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">abspath</span><span class="p">(</span><span class="s1">&#39;&#39;</span><span class="p">),</span> <span class="s1">&#39;..&#39;</span><span class="p">))</span>

<span class="c1"># dependencies</span>
<span class="kn">from</span> <span class="nn">lib</span> <span class="kn">import</span> <span class="n">model</span><span class="p">,</span> <span class="n">sat</span><span class="p">,</span> <span class="n">plot_sat</span>
<span class="kn">from</span> <span class="nn">lib.config</span> <span class="kn">import</span> <span class="o">*</span> 
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="c1"># load arrival time and energy from CFOSAT</span>
<span class="n">ds_params</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">open_dataset</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_output</span><span class="p">,</span> <span class="s1">&#39;params_output.nc&#39;</span><span class="p">))</span>
<span class="n">sat</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">open_dataset</span><span class="p">(</span><span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">p_output</span><span class="p">,</span> <span class="s1">&#39;params_freqs_output.nc&#39;</span><span class="p">))</span>

<span class="c1"># spectral forecast </span>
<span class="c1">#spec = model.spec_st_ndays(&#39;W1765S135&#39;)</span>
<span class="n">spec</span> <span class="o">=</span> <span class="n">model</span><span class="o">.</span><span class="n">spec_st_ndays</span><span class="p">(</span><span class="s1">&#39;W1760S130&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">sat</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_html"><div><svg style="position: absolute; width: 0; height: 0; overflow: hidden">
<defs>
<symbol id="icon-database" viewBox="0 0 32 32">
<path d="M16 0c-8.837 0-16 2.239-16 5v4c0 2.761 7.163 5 16 5s16-2.239 16-5v-4c0-2.761-7.163-5-16-5z"></path>
<path d="M16 17c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
<path d="M16 26c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
</symbol>
<symbol id="icon-file-text2" viewBox="0 0 32 32">
<path d="M28.681 7.159c-0.694-0.947-1.662-2.053-2.724-3.116s-2.169-2.030-3.116-2.724c-1.612-1.182-2.393-1.319-2.841-1.319h-15.5c-1.378 0-2.5 1.121-2.5 2.5v27c0 1.378 1.122 2.5 2.5 2.5h23c1.378 0 2.5-1.122 2.5-2.5v-19.5c0-0.448-0.137-1.23-1.319-2.841zM24.543 5.457c0.959 0.959 1.712 1.825 2.268 2.543h-4.811v-4.811c0.718 0.556 1.584 1.309 2.543 2.268zM28 29.5c0 0.271-0.229 0.5-0.5 0.5h-23c-0.271 0-0.5-0.229-0.5-0.5v-27c0-0.271 0.229-0.5 0.5-0.5 0 0 15.499-0 15.5 0v7c0 0.552 0.448 1 1 1h7v19.5z"></path>
<path d="M23 26h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
<path d="M23 22h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
<path d="M23 18h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
</symbol>
</defs>
</svg>
<style>/* CSS stylesheet for displaying xarray objects in jupyterlab.
 *
 */

:root {
  --xr-font-color0: var(--jp-content-font-color0, rgba(0, 0, 0, 1));
  --xr-font-color2: var(--jp-content-font-color2, rgba(0, 0, 0, 0.54));
  --xr-font-color3: var(--jp-content-font-color3, rgba(0, 0, 0, 0.38));
  --xr-border-color: var(--jp-border-color2, #e0e0e0);
  --xr-disabled-color: var(--jp-layout-color3, #bdbdbd);
  --xr-background-color: var(--jp-layout-color0, white);
  --xr-background-color-row-even: var(--jp-layout-color1, white);
  --xr-background-color-row-odd: var(--jp-layout-color2, #eeeeee);
}

html[theme=dark],
body.vscode-dark {
  --xr-font-color0: rgba(255, 255, 255, 1);
  --xr-font-color2: rgba(255, 255, 255, 0.54);
  --xr-font-color3: rgba(255, 255, 255, 0.38);
  --xr-border-color: #1F1F1F;
  --xr-disabled-color: #515151;
  --xr-background-color: #111111;
  --xr-background-color-row-even: #111111;
  --xr-background-color-row-odd: #313131;
}

.xr-wrap {
  display: block;
  min-width: 300px;
  max-width: 700px;
}

.xr-text-repr-fallback {
  /* fallback to plain text repr when CSS is not injected (untrusted notebook) */
  display: none;
}

.xr-header {
  padding-top: 6px;
  padding-bottom: 6px;
  margin-bottom: 4px;
  border-bottom: solid 1px var(--xr-border-color);
}

.xr-header > div,
.xr-header > ul {
  display: inline;
  margin-top: 0;
  margin-bottom: 0;
}

.xr-obj-type,
.xr-array-name {
  margin-left: 2px;
  margin-right: 10px;
}

.xr-obj-type {
  color: var(--xr-font-color2);
}

.xr-sections {
  padding-left: 0 !important;
  display: grid;
  grid-template-columns: 150px auto auto 1fr 20px 20px;
}

.xr-section-item {
  display: contents;
}

.xr-section-item input {
  display: none;
}

.xr-section-item input + label {
  color: var(--xr-disabled-color);
}

.xr-section-item input:enabled + label {
  cursor: pointer;
  color: var(--xr-font-color2);
}

.xr-section-item input:enabled + label:hover {
  color: var(--xr-font-color0);
}

.xr-section-summary {
  grid-column: 1;
  color: var(--xr-font-color2);
  font-weight: 500;
}

.xr-section-summary > span {
  display: inline-block;
  padding-left: 0.5em;
}

.xr-section-summary-in:disabled + label {
  color: var(--xr-font-color2);
}

.xr-section-summary-in + label:before {
  display: inline-block;
  content: '►';
  font-size: 11px;
  width: 15px;
  text-align: center;
}

.xr-section-summary-in:disabled + label:before {
  color: var(--xr-disabled-color);
}

.xr-section-summary-in:checked + label:before {
  content: '▼';
}

.xr-section-summary-in:checked + label > span {
  display: none;
}

.xr-section-summary,
.xr-section-inline-details {
  padding-top: 4px;
  padding-bottom: 4px;
}

.xr-section-inline-details {
  grid-column: 2 / -1;
}

.xr-section-details {
  display: none;
  grid-column: 1 / -1;
  margin-bottom: 5px;
}

.xr-section-summary-in:checked ~ .xr-section-details {
  display: contents;
}

.xr-array-wrap {
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: 20px auto;
}

.xr-array-wrap > label {
  grid-column: 1;
  vertical-align: top;
}

.xr-preview {
  color: var(--xr-font-color3);
}

.xr-array-preview,
.xr-array-data {
  padding: 0 5px !important;
  grid-column: 2;
}

.xr-array-data,
.xr-array-in:checked ~ .xr-array-preview {
  display: none;
}

.xr-array-in:checked ~ .xr-array-data,
.xr-array-preview {
  display: inline-block;
}

.xr-dim-list {
  display: inline-block !important;
  list-style: none;
  padding: 0 !important;
  margin: 0;
}

.xr-dim-list li {
  display: inline-block;
  padding: 0;
  margin: 0;
}

.xr-dim-list:before {
  content: '(';
}

.xr-dim-list:after {
  content: ')';
}

.xr-dim-list li:not(:last-child):after {
  content: ',';
  padding-right: 5px;
}

.xr-has-index {
  font-weight: bold;
}

.xr-var-list,
.xr-var-item {
  display: contents;
}

.xr-var-item > div,
.xr-var-item label,
.xr-var-item > .xr-var-name span {
  background-color: var(--xr-background-color-row-even);
  margin-bottom: 0;
}

.xr-var-item > .xr-var-name:hover span {
  padding-right: 5px;
}

.xr-var-list > li:nth-child(odd) > div,
.xr-var-list > li:nth-child(odd) > label,
.xr-var-list > li:nth-child(odd) > .xr-var-name span {
  background-color: var(--xr-background-color-row-odd);
}

.xr-var-name {
  grid-column: 1;
}

.xr-var-dims {
  grid-column: 2;
}

.xr-var-dtype {
  grid-column: 3;
  text-align: right;
  color: var(--xr-font-color2);
}

.xr-var-preview {
  grid-column: 4;
}

.xr-var-name,
.xr-var-dims,
.xr-var-dtype,
.xr-preview,
.xr-attrs dt {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 10px;
}

.xr-var-name:hover,
.xr-var-dims:hover,
.xr-var-dtype:hover,
.xr-attrs dt:hover {
  overflow: visible;
  width: auto;
  z-index: 1;
}

.xr-var-attrs,
.xr-var-data {
  display: none;
  background-color: var(--xr-background-color) !important;
  padding-bottom: 5px !important;
}

.xr-var-attrs-in:checked ~ .xr-var-attrs,
.xr-var-data-in:checked ~ .xr-var-data {
  display: block;
}

.xr-var-data > table {
  float: right;
}

.xr-var-name span,
.xr-var-data,
.xr-attrs {
  padding-left: 25px !important;
}

.xr-attrs,
.xr-var-attrs,
.xr-var-data {
  grid-column: 1 / -1;
}

dl.xr-attrs {
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: 125px auto;
}

.xr-attrs dt,
.xr-attrs dd {
  padding: 0;
  margin: 0;
  float: left;
  padding-right: 10px;
  width: auto;
}

.xr-attrs dt {
  font-weight: normal;
  grid-column: 1;
}

.xr-attrs dt:hover span {
  display: inline-block;
  background: var(--xr-background-color);
  padding-right: 10px;
}

.xr-attrs dd {
  grid-column: 2;
  white-space: pre-wrap;
  word-break: break-all;
}

.xr-icon-database,
.xr-icon-file-text2 {
  display: inline-block;
  vertical-align: middle;
  width: 1em;
  height: 1.5em !important;
  stroke-width: 0;
  stroke: currentColor;
  fill: currentColor;
}
</style><pre class='xr-text-repr-fallback'>&lt;xarray.Dataset&gt;
Dimensions:   (file: 118, k: 32, nbox: 498, posneg: 2, theta: 24)
Coordinates:
  * file      (file) object &#x27;CFO_OP05_SWI_L2_____F_20210530T205855_20210530T2...
  * nbox      (nbox) int64 9 10 11 12 13 14 15 ... 500 501 502 503 504 505 506
  * theta     (theta) int64 0 15 30 45 60 75 90 ... 255 270 285 300 315 330 345
  * posneg    (posneg) int64 0 1
  * k         (k) float32 0.01257 0.01389 0.01535 ... 0.2284 0.2524 0.2789
Data variables:
    time      (file, nbox, posneg, theta) datetime64[ns] ...
    distance  (file, nbox, posneg) float64 ...
    efth      (file, nbox, posneg, theta, k) float64 ...
    H         (file, nbox, posneg, theta, k) float64 ...
    T         (file, k) float32 17.9 17.03 16.2 15.41 ... 4.199 3.994 3.799
    Ttime     (file, nbox, posneg, k) float64 ...</pre><div class='xr-wrap' hidden><div class='xr-header'><div class='xr-obj-type'>xarray.Dataset</div></div><ul class='xr-sections'><li class='xr-section-item'><input id='section-1aef36c6-dc71-4e75-9172-4c174be90257' class='xr-section-summary-in' type='checkbox' disabled ><label for='section-1aef36c6-dc71-4e75-9172-4c174be90257' class='xr-section-summary'  title='Expand/collapse section'>Dimensions:</label><div class='xr-section-inline-details'><ul class='xr-dim-list'><li><span class='xr-has-index'>file</span>: 118</li><li><span class='xr-has-index'>k</span>: 32</li><li><span class='xr-has-index'>nbox</span>: 498</li><li><span class='xr-has-index'>posneg</span>: 2</li><li><span class='xr-has-index'>theta</span>: 24</li></ul></div><div class='xr-section-details'></div></li><li class='xr-section-item'><input id='section-7f437c46-279c-417c-a68a-0449f28b666e' class='xr-section-summary-in' type='checkbox'  checked><label for='section-7f437c46-279c-417c-a68a-0449f28b666e' class='xr-section-summary' >Coordinates: <span>(5)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><ul class='xr-var-list'><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>file</span></div><div class='xr-var-dims'>(file)</div><div class='xr-var-dtype'>object</div><div class='xr-var-preview xr-preview'>&#x27;CFO_OP05_SWI_L2_____F_20210530T...</div><input id='attrs-cb8f9d49-6077-4791-895f-41ad2f785b12' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-cb8f9d49-6077-4791-895f-41ad2f785b12' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-50b6802d-5f72-434e-8c48-cff3d5f8e497' class='xr-var-data-in' type='checkbox'><label for='data-50b6802d-5f72-434e-8c48-cff3d5f8e497' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([&#x27;CFO_OP05_SWI_L2_____F_20210530T205855_20210530T223141.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210530T223140_20210531T000432.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T000431_20210531T013751.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T013750_20210531T031150.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T032335_20210531T045819.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T051847_20210531T063311.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T063310_20210531T080713.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T080712_20210531T094032.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T094031_20210531T111322.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T111321_20210531T124605.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T124604_20210531T142804.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T142803_20210531T155231.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T155230_20210531T170647.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T172645_20210531T190152.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T190151_20210531T204438.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T204437_20210531T221724.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T221723_20210531T235013.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210531T235012_20210601T012327.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T012326_20210601T025719.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T030858_20210601T044338.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T061837_20210601T075247.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T075246_20210601T092612.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T092611_20210601T105906.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T105905_20210601T123149.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T114321_20210601T121610.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T123148_20210601T135024.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T141755_20210601T153805.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T153804_20210601T171212.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T171211_20210601T184711.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T184710_20210601T203020.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T203019_20210601T220308.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T220307_20210601T233555.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210601T233554_20210602T010904.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T010903_20210602T024249.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T025420_20210602T042856.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T042855_20210602T060405.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T060404_20210602T073821.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T073820_20210602T091152.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T091151_20210602T104450.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T104449_20210602T121732.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T121731_20210602T133547.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T135021_20210602T152340.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T152339_20210602T165740.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T165739_20210602T180643.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T183229_20210602T201601.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T201600_20210602T214852.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T214851_20210602T232138.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210602T232137_20210603T005441.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T005440_20210603T022821.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T022819_20210603T041412.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T041411_20210603T054930.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T060355_20210603T072353.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T072352_20210603T085731.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T085730_20210603T103033.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T103031_20210603T120316.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T120315_20210603T132109.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T133602_20210603T150916.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T152342_20210603T164309.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T181749_20210603T200142.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T200141_20210603T213435.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T213434_20210603T230720.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210603T230719_20210604T004020.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T004019_20210604T021352.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T021351_20210604T034810.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T034808_20210604T053453.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T054917_20210604T070925.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T070925_20210604T084309.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T084308_20210604T101615.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T101614_20210604T114900.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T114859_20210604T132145.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T132144_20210604T150449.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T150904_20210604T162839.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T162837_20210604T173837.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T180311_20210604T194723.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T194721_20210604T212018.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T212017_20210604T225303.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210604T225302_20210605T002559.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T002558_20210605T015926.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T015925_20210605T033336.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T033334_20210605T052015.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T053439_20210605T065455.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T065453_20210605T082846.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T082844_20210605T100157.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T100155_20210605T113444.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T113442_20210605T130727.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T130726_20210605T144030.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T145426_20210605T161410.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T161408_20210605T172359.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T174834_20210605T193302.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T193300_20210605T210601.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T210600_20210605T223846.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210605T223844_20210606T001139.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T001138_20210606T014500.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T014459_20210606T031902.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T033051_20210606T050536.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T052604_20210606T064024.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T064023_20210606T081421.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T081420_20210606T094738.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T094738_20210606T112027.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T112026_20210606T125310.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T125309_20210606T142608.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T142607_20210606T155941.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T155940_20210606T171135.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T173359_20210606T190911.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T190910_20210606T205143.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T205142_20210606T222429.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T222428_20210606T235719.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210606T235718_20210607T013035.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T013034_20210607T030430.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T031613_20210607T045055.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T045054_20210607T062552.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T062551_20210607T075957.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T075956_20210607T093319.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T093318_20210607T110611.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T110611_20210607T123853.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T123852_20210607T135739.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T142511_20210607T154514.nc&#x27;,
       &#x27;CFO_OP05_SWI_L2_____F_20210607T154513_20210607T171925.nc&#x27;],
      dtype=object)</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>nbox</span></div><div class='xr-var-dims'>(nbox)</div><div class='xr-var-dtype'>int64</div><div class='xr-var-preview xr-preview'>9 10 11 12 13 ... 503 504 505 506</div><input id='attrs-47ecadfa-31ae-4ab9-9533-45e54fbcd44f' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-47ecadfa-31ae-4ab9-9533-45e54fbcd44f' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-07625700-e6ac-4c5a-8c56-6cc62c0e80c2' class='xr-var-data-in' type='checkbox'><label for='data-07625700-e6ac-4c5a-8c56-6cc62c0e80c2' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([  9,  10,  11, ..., 504, 505, 506])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>theta</span></div><div class='xr-var-dims'>(theta)</div><div class='xr-var-dtype'>int64</div><div class='xr-var-preview xr-preview'>0 15 30 45 60 ... 300 315 330 345</div><input id='attrs-8d0cc60a-cb42-46fc-9c97-2c0658a170e0' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-8d0cc60a-cb42-46fc-9c97-2c0658a170e0' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-54a3ca09-fbf4-43e2-af8e-0e9181b4cdec' class='xr-var-data-in' type='checkbox'><label for='data-54a3ca09-fbf4-43e2-af8e-0e9181b4cdec' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([  0,  15,  30,  45,  60,  75,  90, 105, 120, 135, 150, 165, 180, 195,
       210, 225, 240, 255, 270, 285, 300, 315, 330, 345])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>posneg</span></div><div class='xr-var-dims'>(posneg)</div><div class='xr-var-dtype'>int64</div><div class='xr-var-preview xr-preview'>0 1</div><input id='attrs-4e287140-ae1b-46cf-b7ee-e5de1c4df648' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-4e287140-ae1b-46cf-b7ee-e5de1c4df648' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-3e45a169-f6df-4fc8-b433-5b4777bfedf2' class='xr-var-data-in' type='checkbox'><label for='data-3e45a169-f6df-4fc8-b433-5b4777bfedf2' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([0, 1])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>k</span></div><div class='xr-var-dims'>(k)</div><div class='xr-var-dtype'>float32</div><div class='xr-var-preview xr-preview'>0.01257 0.01389 ... 0.2524 0.2789</div><input id='attrs-34fc7518-c732-43cb-b2e3-9b92fa8c9387' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-34fc7518-c732-43cb-b2e3-9b92fa8c9387' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-a9327e77-4ce9-4299-8713-93b462d3ee99' class='xr-var-data-in' type='checkbox'><label for='data-a9327e77-4ce9-4299-8713-93b462d3ee99' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([0.012566, 0.013887, 0.015348, 0.016962, 0.018746, 0.020718, 0.022897,
       0.025305, 0.027966, 0.030908, 0.034158, 0.037751, 0.041721, 0.046109,
       0.050959, 0.056318, 0.062241, 0.068787, 0.076022, 0.084017, 0.092853,
       0.102619, 0.113411, 0.125339, 0.138521, 0.153089, 0.16919 , 0.186984,
       0.206649, 0.228383, 0.252402, 0.278947], dtype=float32)</pre></div></li></ul></div></li><li class='xr-section-item'><input id='section-9ef25f44-a5b7-4402-a51c-f343e9c093dd' class='xr-section-summary-in' type='checkbox'  checked><label for='section-9ef25f44-a5b7-4402-a51c-f343e9c093dd' class='xr-section-summary' >Data variables: <span>(6)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><ul class='xr-var-list'><li class='xr-var-item'><div class='xr-var-name'><span>time</span></div><div class='xr-var-dims'>(file, nbox, posneg, theta)</div><div class='xr-var-dtype'>datetime64[ns]</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-4c42be02-79ba-4267-8629-f2084bbcd544' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-4c42be02-79ba-4267-8629-f2084bbcd544' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-1f1012a9-e680-40f8-aae2-8f18673ab861' class='xr-var-data-in' type='checkbox'><label for='data-1f1012a9-e680-40f8-aae2-8f18673ab861' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[2820672 values with dtype=datetime64[ns]]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>distance</span></div><div class='xr-var-dims'>(file, nbox, posneg)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-477dea4f-052d-4fdf-9f1b-ef47c2d8acd0' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-477dea4f-052d-4fdf-9f1b-ef47c2d8acd0' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-d3ccd50b-1ec3-4bd8-92c7-e25835836025' class='xr-var-data-in' type='checkbox'><label for='data-d3ccd50b-1ec3-4bd8-92c7-e25835836025' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[117528 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>efth</span></div><div class='xr-var-dims'>(file, nbox, posneg, theta, k)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-0876709f-9a21-4db1-901b-5d518cd20b78' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-0876709f-9a21-4db1-901b-5d518cd20b78' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-baef3d5e-2f93-4106-998e-59167d2af251' class='xr-var-data-in' type='checkbox'><label for='data-baef3d5e-2f93-4106-998e-59167d2af251' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[90261504 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>H</span></div><div class='xr-var-dims'>(file, nbox, posneg, theta, k)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-e5f4a6f9-4475-4d0a-9243-27df7d4bc203' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-e5f4a6f9-4475-4d0a-9243-27df7d4bc203' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-a1c9caac-229e-4708-9c7b-f35e4d7ff6b3' class='xr-var-data-in' type='checkbox'><label for='data-a1c9caac-229e-4708-9c7b-f35e4d7ff6b3' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[90261504 values with dtype=float64]</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>T</span></div><div class='xr-var-dims'>(file, k)</div><div class='xr-var-dtype'>float32</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-98c8831a-95e9-4136-a54d-5b99635227c1' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-98c8831a-95e9-4136-a54d-5b99635227c1' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-488e2e1e-6f94-46ac-b16c-6ed0357bf97c' class='xr-var-data-in' type='checkbox'><label for='data-488e2e1e-6f94-46ac-b16c-6ed0357bf97c' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([[17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       ...,
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033],
       [17.899273, 17.02667 , 16.19601 , ...,  4.198576,  3.993811,  3.799033]],
      dtype=float32)</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span>Ttime</span></div><div class='xr-var-dims'>(file, nbox, posneg, k)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>...</div><input id='attrs-1c3541bd-4d03-4bd5-a895-8bc64b42f98a' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-1c3541bd-4d03-4bd5-a895-8bc64b42f98a' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-cbac5b0c-44a0-46f9-81b2-1ce4eb12e736' class='xr-var-data-in' type='checkbox'><label for='data-cbac5b0c-44a0-46f9-81b2-1ce4eb12e736' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>[3760896 values with dtype=float64]</pre></div></li></ul></div></li><li class='xr-section-item'><input id='section-01c418a7-20e2-4c2b-aefc-311f2b9a7063' class='xr-section-summary-in' type='checkbox' disabled ><label for='section-01c418a7-20e2-4c2b-aefc-311f2b9a7063' class='xr-section-summary'  title='Expand/collapse section'>Attributes: <span>(0)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><dl class='xr-attrs'></dl></div></li></ul></div></div></div></div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">df_dat</span> <span class="o">=</span> <span class="n">sat</span><span class="p">[[</span><span class="s1">&#39;Ttime&#39;</span><span class="p">,</span> <span class="s1">&#39;time&#39;</span><span class="p">,</span> <span class="s1">&#39;efth&#39;</span><span class="p">]]</span><span class="o">.</span><span class="n">to_dataframe</span><span class="p">()</span><span class="o">.</span><span class="n">dropna</span><span class="p">()</span>
<span class="n">df_dat</span><span class="p">[</span><span class="s1">&#39;Date&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="p">[</span><span class="n">df_dat</span><span class="p">[</span><span class="s1">&#39;time&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">values</span><span class="p">[</span><span class="n">i</span><span class="p">]</span> <span class="o">+</span> <span class="n">np</span><span class="o">.</span><span class="n">timedelta64</span><span class="p">(</span><span class="nb">int</span><span class="p">(</span><span class="n">df_dat</span><span class="p">[</span><span class="s1">&#39;Ttime&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">values</span><span class="p">[</span><span class="n">i</span><span class="p">]),</span> <span class="s1">&#39;s&#39;</span><span class="p">)</span> <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="n">df_dat</span><span class="p">))]</span>
<span class="n">ds_dat</span> <span class="o">=</span> <span class="n">df_dat</span><span class="o">.</span><span class="n">to_xarray</span><span class="p">()</span>
</pre></div>
</div>
</div>
</div>
</div>
<div class="section" id="satellite-model-spectral-comparison">
<h2>Satellite-Model Spectral Comparison<a class="headerlink" href="#satellite-model-spectral-comparison" title="Permalink to this headline">¶</a></h2>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">time</span> <span class="o">=</span> <span class="n">spec</span><span class="o">.</span><span class="n">time</span><span class="o">.</span><span class="n">values</span><span class="p">[</span><span class="mi">40</span><span class="p">]</span>
<span class="n">time1</span> <span class="o">=</span> <span class="n">spec</span><span class="o">.</span><span class="n">time</span><span class="o">.</span><span class="n">values</span><span class="p">[</span><span class="mi">41</span><span class="p">]</span>
<span class="n">time</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>numpy.datetime64(&#39;2021-06-15T15:00:00.000000000&#39;)
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">ds_sat_efth</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">merge</span><span class="p">([</span><span class="n">ds_params</span><span class="p">[</span><span class="s1">&#39;bearing1&#39;</span><span class="p">],</span> <span class="n">ds_dat</span><span class="p">[[</span><span class="s1">&#39;efth&#39;</span><span class="p">,</span> <span class="s1">&#39;Date&#39;</span><span class="p">]]])</span>
<span class="n">df_sat_efth</span> <span class="o">=</span> <span class="n">ds_sat_efth</span><span class="o">.</span><span class="n">to_dataframe</span><span class="p">()</span><span class="o">.</span><span class="n">dropna</span><span class="p">()</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="c1"># select date range</span>
<span class="n">df_sat_efth</span> <span class="o">=</span> <span class="n">df_sat_efth</span><span class="o">.</span><span class="n">loc</span><span class="p">[(</span><span class="n">df_sat_efth</span><span class="o">.</span><span class="n">Date</span> <span class="o">&gt;=</span> <span class="n">time</span><span class="p">)</span> <span class="o">&amp;</span> <span class="p">(</span><span class="n">df_sat_efth</span><span class="o">.</span><span class="n">Date</span> <span class="o">&lt;</span> <span class="n">time1</span><span class="p">)]</span>
<span class="c1">#df_sat_efth[&#39;date&#39;] = pd.to_datetime([datetime.timedelta(seconds=i) + day.astype(&#39;M8[ms]&#39;).astype(&#39;O&#39;) for i in df_sat_efth.Ttime.values])</span>
<span class="n">df_sat_efth</span> <span class="o">=</span> <span class="n">df_sat_efth</span><span class="o">.</span><span class="n">reset_index</span><span class="p">()</span><span class="o">.</span><span class="n">drop</span><span class="p">(</span><span class="n">columns</span><span class="o">=</span><span class="p">{</span><span class="s1">&#39;file&#39;</span><span class="p">,</span> <span class="s1">&#39;nbox&#39;</span><span class="p">,</span> <span class="s1">&#39;theta&#39;</span><span class="p">,</span> <span class="s1">&#39;posneg&#39;</span><span class="p">})</span>
<span class="n">satEfth_group</span> <span class="o">=</span> <span class="n">df_sat_efth</span><span class="o">.</span><span class="n">groupby</span><span class="p">(</span><span class="n">by</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;bearing1&#39;</span><span class="p">,</span> <span class="s1">&#39;k&#39;</span><span class="p">])</span><span class="o">.</span><span class="n">mean</span><span class="p">()</span><span class="o">.</span><span class="n">reset_index</span><span class="p">()</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">df_sat_efth</span><span class="o">.</span><span class="n">sort_values</span><span class="p">(</span><span class="s1">&#39;Date&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_html"><div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>k</th>
      <th>bearing1</th>
      <th>efth</th>
      <th>Date</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>452</th>
      <td>0.228383</td>
      <td>1.803949</td>
      <td>0.0000</td>
      <td>2021-06-15 15:00:01</td>
    </tr>
    <tr>
      <th>176</th>
      <td>0.278947</td>
      <td>344.319235</td>
      <td>0.0000</td>
      <td>2021-06-15 15:00:05</td>
    </tr>
    <tr>
      <th>760</th>
      <td>0.252402</td>
      <td>146.601375</td>
      <td>0.0000</td>
      <td>2021-06-15 15:00:07</td>
    </tr>
    <tr>
      <th>272</th>
      <td>0.186984</td>
      <td>213.175220</td>
      <td>0.0000</td>
      <td>2021-06-15 15:00:08</td>
    </tr>
    <tr>
      <th>1597</th>
      <td>0.169190</td>
      <td>43.427030</td>
      <td>0.0000</td>
      <td>2021-06-15 15:00:19</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>2130</th>
      <td>0.084017</td>
      <td>153.289228</td>
      <td>0.0041</td>
      <td>2021-06-15 17:59:42</td>
    </tr>
    <tr>
      <th>986</th>
      <td>0.153089</td>
      <td>355.873674</td>
      <td>0.0000</td>
      <td>2021-06-15 17:59:48</td>
    </tr>
    <tr>
      <th>1430</th>
      <td>0.252402</td>
      <td>10.353981</td>
      <td>0.0000</td>
      <td>2021-06-15 17:59:50</td>
    </tr>
    <tr>
      <th>2305</th>
      <td>0.138521</td>
      <td>356.189985</td>
      <td>0.0049</td>
      <td>2021-06-15 17:59:52</td>
    </tr>
    <tr>
      <th>2823</th>
      <td>0.062241</td>
      <td>219.322639</td>
      <td>0.4162</td>
      <td>2021-06-15 17:59:59</td>
    </tr>
  </tbody>
</table>
<p>3442 rows × 4 columns</p>
</div></div></div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">satEfth_group</span><span class="p">[</span><span class="s1">&#39;S&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="n">satEfth_group</span><span class="p">[</span><span class="s1">&#39;efth&#39;</span><span class="p">]</span><span class="o">/</span><span class="n">satEfth_group</span><span class="p">[</span><span class="s1">&#39;k&#39;</span><span class="p">]</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="k">def</span> <span class="nf">plot_spectrum</span><span class="p">(</span><span class="n">ax</span><span class="p">,</span><span class="n">x</span><span class="p">,</span><span class="n">y</span><span class="p">,</span><span class="n">z</span><span class="p">,</span><span class="n">ylim</span><span class="p">):</span>
    <span class="n">x1</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">x</span><span class="p">,</span><span class="n">x</span><span class="p">[</span><span class="mi">0</span><span class="p">])</span>
    <span class="n">z1</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">column_stack</span><span class="p">((</span><span class="n">z</span><span class="p">[:,:],</span><span class="n">z</span><span class="p">[:,</span><span class="o">-</span><span class="mi">1</span><span class="p">]))</span>
    <span class="n">p1</span> <span class="o">=</span> <span class="n">ax</span><span class="o">.</span><span class="n">pcolormesh</span><span class="p">(</span><span class="n">x1</span><span class="p">,</span><span class="n">y</span><span class="p">,</span><span class="n">np</span><span class="o">.</span><span class="n">sqrt</span><span class="p">(</span><span class="n">z1</span><span class="p">))</span>  
    <span class="c1">#p1.set_cmap(&#39;magma&#39;)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylim</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">ylim</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">set_theta_zero_location</span><span class="p">(</span><span class="s1">&#39;N&#39;</span><span class="p">,</span> <span class="n">offset</span><span class="o">=</span><span class="mi">0</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">set_theta_direction</span><span class="p">(</span><span class="o">-</span><span class="mi">1</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">model_efth</span> <span class="o">=</span> <span class="n">spec</span><span class="o">.</span><span class="n">sel</span><span class="p">(</span><span class="n">time</span><span class="o">=</span><span class="n">time</span><span class="p">)[[</span><span class="s1">&#39;efth&#39;</span><span class="p">]]</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">satEfth_group</span> <span class="o">=</span> <span class="n">satEfth_group</span><span class="o">.</span><span class="n">sort_values</span><span class="p">(</span><span class="s1">&#39;S&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="k">as</span> <span class="nn">plt</span>
<span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">scatter</span><span class="p">(</span><span class="n">satEfth_group</span><span class="o">.</span><span class="n">k</span><span class="p">,</span> <span class="n">satEfth_group</span><span class="o">.</span><span class="n">bearing1</span><span class="p">,</span> <span class="n">c</span><span class="o">=</span><span class="n">satEfth_group</span><span class="o">.</span><span class="n">S</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">colorbar</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>&lt;matplotlib.colorbar.Colorbar at 0x2aaaf3ce7250&gt;
</pre></div>
</div>
<img alt="_images/SF8_Superspectra_Validation_14_1.png" src="_images/SF8_Superspectra_Validation_14_1.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dirs</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">sort</span><span class="p">(</span><span class="n">spec</span><span class="o">.</span><span class="n">direction</span><span class="o">.</span><span class="n">values</span><span class="p">)</span>
<span class="n">freqs</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">sort</span><span class="p">(</span><span class="n">spec</span><span class="o">.</span><span class="n">frequency</span><span class="o">.</span><span class="n">values</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">dirs</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">dirs</span><span class="p">,</span> <span class="mi">360</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">matrix</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">((</span><span class="nb">len</span><span class="p">(</span><span class="n">dirs</span><span class="p">),</span> <span class="nb">len</span><span class="p">(</span><span class="n">freqs</span><span class="p">)))</span>
<span class="k">for</span> <span class="n">pd</span><span class="p">,</span> <span class="n">d</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">dirs</span><span class="p">[:</span><span class="o">-</span><span class="mi">1</span><span class="p">]):</span>
    <span class="k">for</span> <span class="n">pf</span><span class="p">,</span> <span class="n">f</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">freqs</span><span class="p">[:</span><span class="o">-</span><span class="mi">1</span><span class="p">]):</span>
        <span class="n">fdir</span> <span class="o">=</span> <span class="n">satEfth_group</span><span class="o">.</span><span class="n">loc</span><span class="p">[(</span><span class="n">satEfth_group</span><span class="o">.</span><span class="n">bearing1</span> <span class="o">&gt;</span> <span class="n">dirs</span><span class="p">[</span><span class="n">pd</span><span class="p">])</span> <span class="o">&amp;</span> <span class="p">(</span><span class="n">satEfth_group</span><span class="o">.</span><span class="n">bearing1</span> <span class="o">&lt;</span> <span class="n">dirs</span><span class="p">[</span><span class="n">pd</span><span class="o">+</span><span class="mi">1</span><span class="p">])]</span>
        <span class="n">freq</span> <span class="o">=</span> <span class="n">fdir</span><span class="o">.</span><span class="n">loc</span><span class="p">[(</span><span class="n">satEfth_group</span><span class="o">.</span><span class="n">k</span> <span class="o">&gt;</span> <span class="n">freqs</span><span class="p">[</span><span class="n">pf</span><span class="p">])</span> <span class="o">&amp;</span> <span class="p">(</span><span class="n">satEfth_group</span><span class="o">.</span><span class="n">k</span> <span class="o">&lt;</span> <span class="n">freqs</span><span class="p">[</span><span class="n">pf</span><span class="o">+</span><span class="mi">1</span><span class="p">])]</span>
        <span class="k">if</span> <span class="n">freq</span><span class="o">.</span><span class="n">empty</span> <span class="o">==</span> <span class="kc">False</span><span class="p">:</span>
            <span class="n">matrix</span><span class="p">[</span><span class="n">pd</span><span class="p">,</span> <span class="n">pf</span><span class="p">]</span> <span class="o">=</span> <span class="n">freq</span><span class="o">.</span><span class="n">efth</span><span class="o">.</span><span class="n">sum</span><span class="p">()</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">sat_efth</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">Dataset</span><span class="p">({</span><span class="s1">&#39;efth&#39;</span><span class="p">:</span> <span class="p">([</span><span class="s2">&quot;frequency&quot;</span><span class="p">,</span> <span class="s2">&quot;direction&quot;</span><span class="p">],</span> <span class="n">np</span><span class="o">.</span><span class="n">transpose</span><span class="p">(</span><span class="n">matrix</span><span class="p">)),},</span>
    <span class="n">coords</span><span class="o">=</span><span class="p">{</span><span class="s1">&#39;frequency&#39;</span><span class="p">:</span><span class="n">freqs</span><span class="p">,</span><span class="s1">&#39;direction&#39;</span><span class="p">:</span><span class="n">dirs</span><span class="p">})</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="k">as</span> <span class="nn">plt</span>
<span class="n">ylim</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">nanmax</span><span class="p">([</span><span class="n">np</span><span class="o">.</span><span class="n">nanmax</span><span class="p">(</span><span class="n">sat_efth</span><span class="o">.</span><span class="n">frequency</span><span class="o">.</span><span class="n">values</span><span class="p">),</span> <span class="n">np</span><span class="o">.</span><span class="n">nanmax</span><span class="p">(</span><span class="n">model_efth</span><span class="o">.</span><span class="n">frequency</span><span class="o">.</span><span class="n">values</span><span class="p">)])</span>
<span class="n">ylim</span> <span class="o">=</span> <span class="mf">0.4</span>
<span class="n">fig</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">20</span><span class="p">,</span><span class="mi">15</span><span class="p">))</span>

<span class="n">model_efth</span> <span class="o">=</span> <span class="n">model_efth</span><span class="o">.</span><span class="n">squeeze</span><span class="p">()</span>
<span class="n">ax0</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="mi">121</span><span class="p">,</span> <span class="n">projection</span><span class="o">=</span><span class="s1">&#39;polar&#39;</span><span class="p">)</span>
<span class="n">z</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">nanmean</span><span class="p">(</span><span class="n">model_efth</span><span class="o">.</span><span class="n">efth</span><span class="o">.</span><span class="n">values</span><span class="p">,</span><span class="n">axis</span><span class="o">=</span><span class="mi">0</span><span class="p">)</span>
<span class="n">z</span> <span class="o">=</span> <span class="n">model_efth</span><span class="o">.</span><span class="n">efth</span><span class="o">.</span><span class="n">values</span>
<span class="n">plot_spectrum</span><span class="p">(</span><span class="n">ax0</span><span class="p">,</span> <span class="n">np</span><span class="o">.</span><span class="n">deg2rad</span><span class="p">(</span><span class="n">model_efth</span><span class="o">.</span><span class="n">direction</span><span class="o">.</span><span class="n">values</span><span class="p">),</span> <span class="n">model_efth</span><span class="o">.</span><span class="n">frequency</span><span class="o">.</span><span class="n">values</span><span class="p">,</span> <span class="n">z</span><span class="p">,</span> <span class="n">ylim</span><span class="p">)</span>

<span class="n">ax1</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="mi">122</span><span class="p">,</span> <span class="n">projection</span><span class="o">=</span><span class="s1">&#39;polar&#39;</span><span class="p">)</span>
<span class="n">z1</span> <span class="o">=</span> <span class="n">sat_efth</span><span class="o">.</span><span class="n">efth</span><span class="o">.</span><span class="n">values</span>
<span class="n">plot_spectrum</span><span class="p">(</span><span class="n">ax1</span><span class="p">,</span> <span class="n">np</span><span class="o">.</span><span class="n">deg2rad</span><span class="p">(</span><span class="n">sat_efth</span><span class="o">.</span><span class="n">direction</span><span class="o">.</span><span class="n">values</span><span class="p">),</span> <span class="n">sat_efth</span><span class="o">.</span><span class="n">frequency</span><span class="o">.</span><span class="n">values</span><span class="p">,</span>  <span class="n">z1</span><span class="p">,</span> <span class="n">ylim</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="_images/SF8_Superspectra_Validation_19_0.png" src="_images/SF8_Superspectra_Validation_19_0.png" />
</div>
</div>
</div>
</div>

    <script type="text/x-thebe-config">
    {
        requestKernel: true,
        binderOptions: {
            repo: "binder-examples/jupyter-stacks-datascience",
            ref: "master",
        },
        codeMirrorConfig: {
            theme: "abcdef",
            mode: "conda-env-testCf-py"
        },
        kernelOptions: {
            kernelName: "conda-env-testCf-py",
            path: "./."
        },
        predefinedOutput: true
    }
    </script>
    <script>kernelName = 'conda-env-testCf-py'</script>

              </div>
              
        
        <div class='prev-next-bottom'>
            
    <a class='left-prev' id="prev-link" href="SF7_CFOSAT_ForecastBins.html" title="previous page">Wrap</a>

        </div>
        
        </div>
    </div>
    <footer class="footer mt-5 mt-md-0">
    <div class="container">
      <p>
        
          By The Jupyter Book Community<br/>
        
            &copy; Copyright 2021.<br/>
      </p>
    </div>
  </footer>
</main>


      </div>
    </div>
  
  <script src="_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  
  </body>
</html>